# Generate PDF Endpoint: GET /api/pdf/{document-id}.json Version: 2.0.0 Security: apiKeyAuth ## Path parameters: - `document-id` (integer, required) The ID of the document. Example: 1050 ## Query parameters: - `api_key` (string, required) Your API Key. Example: "YOUR_API_KEY" - `second_copy` (boolean) ## Response 200 fields (application/json): - `output` (object) - `output.pdfUrl` (string) Example: "url.pdf" - `output.signed` (boolean) Whether the PDF is digitally signed. Not always present. Example: true ## Response 202 fields (application/json): - `pdf` (object) - `pdf.message` (string) Example: "PDF file is being generated" ## Response 401 fields (application/json): - `errors` (array) - `errors.error` (string) Example: "Authentication Error" ## Response 404 fields (application/json): - `errors` (array) - `errors.error` (string) Example: "Document not found"